#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_with	tests		# build with tests (require network access)

Summary:	Multi-platform support library with a focus on asynchronous I/O
Summary(pl.UTF-8):	Wieloplatformowa biblioteka wspierająca skupiająca się na asynchronicznym we/wy
Name:		libuv
Version:	1.18.0
Release:	1
# the licensing breakdown is described in detail in the LICENSE file
License:	MIT and BSD and ISC
Group:		Libraries
Source0:	https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	dc51c45ac5baab37e1abc87906ac7af1
URL:		http://libuv.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.12
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libuv is a multi-platform support library with a focus on asynchronous
I/O. It was primarily developed for use by Node.js, but it's also used
by Luvit, Julia, pyuv and others.

%description -l pl.UTF-8
libuv to wieloplatformowa biblioteka wspierająca, skupiająca się na
asynchronicznych operacjach wejścia-wyjścia. Była rozwijana głównie z
myślą o wykorzystaniu w Node.js, ale obecnie jest używana także przez
projekty takie jak Luvit, Julia, pyuv i inne.

%package devel
Summary:	Header files for libuv library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libuv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries for libuv.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libuv.

%package static
Summary:	Static libuv library
Summary(pl.UTF-8):	Statyczna biblioteka libuv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libuv library.

%description static -l pl.UTF-8
Statyczna biblioteka libuv.

%prep
%setup -q -n %{name}-v%{version}

# serial-tests is available in v1.12 and newer.
echo "m4_define([UV_EXTRA_AUTOMAKE_FLAGS], [serial-tests])" > m4/libuv-extra-automake-flags.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	ac_cv_lib_nsl_gethostbyname=no \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%if %{with tests}
./run-tests
./run-benchmarks
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by .pc file
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libuv.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README.md
%attr(755,root,root) %{_libdir}/libuv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libuv.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libuv.so
%{_pkgconfigdir}/libuv.pc
%{_includedir}/uv.h
%{_includedir}/uv-errno.h
%{_includedir}/uv-linux.h
%{_includedir}/uv-threadpool.h
%{_includedir}/uv-unix.h
%{_includedir}/uv-version.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libuv.a
%endif
%changelog
* Tue Dec 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libuv.git;a=log;h=master

* Tue Dec 26 2017 Elan Ruusamäe <glen@pld-linux.org> 0a0e0e3
- use https url

* Wed Dec 13 2017 mis <mistoo@gmail.com> 0b6ab71
- up to 1.18.0

* Sun Jan 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ccb7da8
- up to 1.10.1

* Fri Jun 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 5bc47d3
- updated to 1.9.1, updated descriptions

* Tue Mar 29 2016 Elan Ruusamäe <glen@delfi.ee> 4d93b4c
- up to 1.8.0

* Mon Jan 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 7ae020e
- pl, standard Groups, added -static; release 2

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> dc71134
- update/cleanup BR

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 53aa5fa
- up to 1.6.1, version that node 4.2 builds with

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 351466a
- up to 1.0.2

* Fri Jun 26 2015 Elan Ruusamäe <glen@delfi.ee> d95c2c8
- up to 0.10.36

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 6f26da5
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 19 2014 Elan Ruusamäe <glen@delfi.ee> 489188d
- add version legend

* Wed Nov 19 2014 Elan Ruusamäe <glen@delfi.ee> 5ac4bcc
- up to 0.10.29 (2014.10.21)

* Mon Aug 11 2014 Elan Ruusamäe <glen@delfi.ee> f11f474
- up to 0.10.28

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 079b5a8
- up to 0.10.25 (2014.02.19)

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> b1cf587
- up to 0.10.18

* Thu Aug 01 2013 Elan Ruusamäe <glen@delfi.ee> 9b353df
- cleanups, update license, soname handled correctly by upstream

* Thu Aug 01 2013 Elan Ruusamäe <glen@delfi.ee> 45a8453
- up to 0.10.13

* Sun Apr 28 2013 Elan Ruusamäe <glen@delfi.ee> ed65a01
- 0.10.5 (2013.04.24)

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> 2b5915b
- uses gyp library not binary

